Bug 1356550 - QXL driver can't be installed automatically when convert win7 or win2008r2 from kvm to rhev by virt-v2v
Summary: QXL driver can't be installed automatically when convert win7 or win2008r2 fr...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux Advanced Virtualization
Classification: Red Hat
Component: libguestfs
Version: 8.0
Hardware: x86_64
OS: Unspecified
medium
medium
Target Milestone: rc
: 8.1
Assignee: Richard W.M. Jones
QA Contact: Virtualization Bugs
URL:
Whiteboard: V2V
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-14 11:13 UTC by mxie@redhat.com
Modified: 2020-01-23 09:52 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-23 09:52:24 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)
win7sp1 (127.70 KB, image/png)
2016-07-14 11:13 UTC, mxie@redhat.com
no flags Details
win7 (106.89 KB, image/png)
2016-07-14 11:14 UTC, mxie@redhat.com
no flags Details
win7sp1-v2v-debug-log (393.93 KB, text/plain)
2016-07-14 11:14 UTC, mxie@redhat.com
no flags Details
win7sp1-p2v (117.96 KB, image/png)
2016-08-08 08:54 UTC, mxie@redhat.com
no flags Details
virt-v2v-win7-glance.log (189.94 KB, text/plain)
2017-03-23 10:46 UTC, mxie@redhat.com
no flags Details

Description mxie@redhat.com 2016-07-14 11:13:26 UTC
Created attachment 1179753 [details]
win7sp1

Description of problem:
QXL driver can't be installed automatically in win7sp1 guest after converted by v2v


Version-Release number of selected component (if applicable):
virt-v2v-1.32.6-1.el7.x86_64
libguestfs-1.32.6-1.el7.x86_64
libvirt-2.0.0-2.el7.x86_64
qemu-kvm-rhev-2.6.0-13.el7.x86_64


How reproducible:
100%

Steps to Reproduce:
1.Convert Windows 7 Utimate Service Pack 1 guest to rhev by virt-v2v
# virt-v2v -o rhev -os 10.73.2.1:/home/v2v_export kvm-win7-i386 -b ovirtmgmt -n ovirtmgmt
[   0.0] Opening the source -i libvirt kvm-win7-i386
[   0.0] Creating an overlay to protect the source from being modified
[   0.2] Initializing the target -o rhev -os 10.73.2.1:/home/v2v_export
[   0.2] Opening the overlay
[   2.0] Inspecting the overlay
[   3.2] Checking for sufficient free disk space in the guest
[   3.2] Estimating space required on target for each disk
[   3.2] Converting Windows 7 Ultimate to run on KVM
virt-v2v: This guest has virtio drivers installed.
[   4.4] Mapping filesystem data to avoid copying unused and blank areas
[   4.9] Closing the overlay
[   5.0] Checking if the guest needs BIOS or UEFI to boot
[   5.0] Assigning disks to buses
[   5.0] Copying disk 1/1 to /tmp/v2v.pbvWjS/bd8fe8a3-0fe7-4860-816b-eda587c3f12e/images/ed84cfbe-2cee-4f7e-aa89-1a51c6f8ad78/79bfb24d-65cc-4922-bccd-1a8a75ed3106 (raw)
    (100.00/100%)
[  79.6] Creating output metadata
[  79.7] Finishing off

2.After converion, import the guest from export domain to data domain

3.Power on the guest and open guest's console to check which driver is installing, found that qxl will not installed automatically,and display driver shows VGA in device manager, pls refer to screenshot"win7sp1"

4.The qxl driver still couldn't be installed automatically even if reboot the guest,so have to update display's driver by manual to search the driver in filesystem , then the qxl driver could be installed 

Actual results:
As above description

Expected results:
QXL driver can be installed automatically in win7sp1 guest after converted by v2v

Additional info:
QXL driver can be installed automatically in Windows 7 Utimate guest after converted by v2v,pls refer to screenshot"win7"

Comment 1 mxie@redhat.com 2016-07-14 11:14:01 UTC
Created attachment 1179754 [details]
win7

Comment 2 mxie@redhat.com 2016-07-14 11:14:36 UTC
Created attachment 1179755 [details]
win7sp1-v2v-debug-log

Comment 4 mxie@redhat.com 2016-08-08 08:54:22 UTC
Convert win7sp1 host to rhev by virt-p2v, qxl driver could be installed for display adapter automatically, pls refer to screenshot'win7sp1-p2v'

Comment 5 mxie@redhat.com 2016-08-08 08:54:48 UTC
Created attachment 1188574 [details]
win7sp1-p2v

Comment 6 mxie@redhat.com 2016-09-05 10:48:07 UTC
Also could reproduce this bug when convert win2008r2 guest from kvm to rhev by virt-v2v sometimes, details log pls refer to https://libvirt-jenkins.rhev-ci-vms.eng.rdu2.redhat.com/view/v2v/view/RHEL-7.3/job/v2v-RHEL-7.3-runtest-x86_64-matrix-kvm_ISCSI/2/testReport/rhel/convert_vm_to_ovirt/kvm_windows_win2008r2_x86_64_qcow2_f_ISCSI/

Comment 7 Richard W.M. Jones 2016-09-06 09:28:44 UTC
Moving to RHEL 7.4.  If the display is usable (even if not optimal)
then that allows the end user to fix the situation after conversion.

In RHEL 7.4 the registry hacks have been substantially
rewritten so it's likely that trying to fix this in RHEL 7.3
is a waste of effort on a dead upstream code path.

Comment 8 mxie@redhat.com 2016-09-08 08:32:21 UTC
After debugging, QXL driver can't be installed automatically when convert win7 guest or win2008r2 guest from kvm to rhev by virt-v2v, this bug just will be happened when convert the guest from kvm no matter which version of windows 7(win7, win7sp1) or win2008r2

Comment 9 Richard W.M. Jones 2017-02-16 15:42:47 UTC
Let's retest this against RHEL 7.4 where there have been substantial
changes to how Windows drivers are installed.  However wait until we
have the final RHEL 7.4 package (based on libguestfs 1.36) before doing
any testing.

Comment 11 mxie@redhat.com 2017-03-14 02:39:41 UTC
This bug could be reproduced when convert win7 and win2008r2 guest from kvm to glance by virt-v2v

Related packages:
virt-v2v-1.36.2-1.el7.x86_64
libguestfs-1.36.2-1.el7.x86_64
libvirt-3.1.0-2.el7.x86_64
qemu-kvm-rhev-2.8.0-6.el7.x86_64
libguestfs-winsupport-7.2-2.el7.x86_64
virtio-win-1.9.0-3.el7.noarch

Comment 12 Pino Toscano 2017-03-23 09:13:40 UTC
(In reply to mxie@redhat.com from comment #11)
> This bug could be reproduced when convert win7 and win2008r2 guest from kvm
> to glance by virt-v2v
> 
> Related packages:
> virt-v2v-1.36.2-1.el7.x86_64
> libguestfs-1.36.2-1.el7.x86_64
> libvirt-3.1.0-2.el7.x86_64
> qemu-kvm-rhev-2.8.0-6.el7.x86_64
> libguestfs-winsupport-7.2-2.el7.x86_64
> virtio-win-1.9.0-3.el7.noarch

Can you please provide the virt-v2v log with -v -x?

Comment 13 mxie@redhat.com 2017-03-23 10:46:41 UTC
Created attachment 1265681 [details]
virt-v2v-win7-glance.log

Comment 14 Richard W.M. Jones 2017-04-12 10:28:35 UTC
We didn't attempt to fix this in RHEL 7.4, but thanks for
retesting it.  I'm going to move this to 7.5 as the display
is still usable (though not optimal) after conversion.

Comment 17 Jaroslav Suchanek 2020-01-23 09:52:24 UTC
We are closing this now as there is known workaround and also this is happening on unsupported windows versions.


Note You need to log in before you can comment on or make changes to this bug.